OpenVDB: D1< BD_WENO5 > Struct Reference

OpenVDB 12.0.1 |

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
D1< BD_WENO5 > Struct Reference

`#include <openvdb/math/FiniteDifference.h>`

## Static Public Member Functions
template<typename ValueType>
static ValueType | difference (const ValueType &xm3, const ValueType &xm2, const ValueType &xm1, const ValueType &xm0, const ValueType &xp1, const ValueType &xp2)
template<typename Accessor>
static Accessor::ValueType | inX (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inY (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inZ (const Accessor &grid, const Coord &ijk)
template<typename Stencil>
static Stencil::ValueType | inX (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inY (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inZ (const Stencil &S)
static Accessor::ValueType | inX (const Accessor &grid, const Coord &ijk)
static Stencil::ValueType | inX (const Stencil &S)
static Accessor::ValueType | inY (const Accessor &grid, const Coord &ijk)
static Stencil::ValueType | inY (const Stencil &S)
static Accessor::ValueType | inZ (const Accessor &grid, const Coord &ijk)
static Stencil::ValueType | inZ (const Stencil &S)

## Member Function Documentation

## ◆ difference()

template<typename ValueType>

static ValueType difference | ( | const ValueType & | xm3,
|  | const ValueType & | xm2,
|  | const ValueType & | xm1,
|  | const ValueType & | xm0,
|  | const ValueType & | xp1,
|  | const ValueType & | xp2 )
| inlinestatic

## ◆ inX() [1/4]

static Accessor::ValueType inX | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| static

## ◆ inX() [2/4]

template<typename Accessor>

static Accessor::ValueType inX | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| inlinestatic

## ◆ inX() [3/4]

static Stencil::ValueType inX | ( | const Stencil & | S | ) |
| static

## ◆ inX() [4/4]

template<typename Stencil>

static Stencil::ValueType inX | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inY() [1/4]

static Accessor::ValueType inY | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| static

## ◆ inY() [2/4]

template<typename Accessor>

static Accessor::ValueType inY | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| inlinestatic

## ◆ inY() [3/4]

static Stencil::ValueType inY | ( | const Stencil & | S | ) |
| static

## ◆ inY() [4/4]

template<typename Stencil>

static Stencil::ValueType inY | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inZ() [1/4]

static Accessor::ValueType inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| static

## ◆ inZ() [2/4]

template<typename Accessor>

static Accessor::ValueType inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| inlinestatic

## ◆ inZ() [3/4]

static Stencil::ValueType inZ | ( | const Stencil & | S | ) |
| static

## ◆ inZ() [4/4]

template<typename Stencil>

static Stencil::ValueType inZ | ( | const Stencil & | S | ) |
| inlinestatic